# python-wayland

`python-wayland` is a Python implementation of the Wayland protocol built from the ground up with no runtime dependencies - no libwayland, no C libraries, just Python. It's designed primarily for developing Wayland clients.

## What This Documentation Covers

This documentation includes:

* A complete [Wayland protocol reference](wayland/index.md)
* Explanations of [how to use](introduction.md) `python-wayland` to interact with Wayland services
* [Examples](examples.md) demonstrating request sending, event handling and other essential functionality.

## What This Documentation Doesn't Cover

This documentation does not teach Wayland concepts or use. For learning Wayland itself, see:

* Drew DeVault's excellent [Wayland Book](https://wayland-book.com/)
* The [official Wayland documentation](https://wayland.freedesktop.org/docs/html/)
